Status pages
Get Status Page Module
Returns whether the status pages module is enabled for your organization.
GET /api/status-pages/module
Status pages are a module that each organization activates once. While it is off, every status page endpoint except this one, Activate Status Page Module and the public endpoints answers 403 with data.code: statusPagesModuleDisabled. Organizations that already had a status page when the module was introduced were activated automatically.
Access
Roles admin, editor and readonly of the organization.
Example (cURL)
BASE_URL="https://uptimeify.io"
TOKEN="<your-api-token>"
curl -X GET "$BASE_URL/api/status-pages/module" \
-H "Authorization: Bearer $TOKEN" \
-H "Accept: application/json"Response
200 OK
{
"enabled": true,
"activatedAt": "2026-10-27T09:00:00.000Z"
}activatedAt is null while the module was never activated.
Common errors
400 Bad Request(userMustBelongToOrg) when your account has no organization401 Unauthorizedwhen you are not logged in403 Forbiddenwhen your role may not read status pages